"use strict";
const sheep_request_index = require("../../request/index.js");
const PayOrderApi = {
  // 获得支付订单
  getOrder: (id) => {
    return sheep_request_index.request({
      url: "/pay/order/get",
      method: "GET",
      params: { id }
    });
  },
  // 获得支付后的订单条件
  getByStatus: (id) => {
    return sheep_request_index.request({
      url: "/trade/order/getPayOrderByStatus",
      method: "GET",
      params: { id }
    });
  },
  getPayOrder: (tradeOrderId) => {
    return sheep_request_index.request({
      url: "/trade/order/getPayOrder",
      method: "GET",
      params: { tradeOrderId }
    });
  },
  // 提交支付订单
  submitOrder: (data) => {
    return sheep_request_index.request({
      url: "/pay/order/submit",
      method: "POST",
      data
    });
  }
};
const __vite_glob_0_15 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: PayOrderApi
}, Symbol.toStringTag, { value: "Module" }));
exports.PayOrderApi = PayOrderApi;
exports.__vite_glob_0_15 = __vite_glob_0_15;
